cfnr.net
当前位置:首页 >> Autolisp vl vlAx vlr vlA 这几种都用到那里呢? >>

Autolisp vl vlAx vlr vlA 这几种都用到那里呢?

vla-get-blocks 表示得到图块集合的意思 vla函数在帮助中的VBA中有,或者你在网上买一本书参考一下 这本书还不错 (vl-load-com) (vla-get-blocks(vla-get-activeDocument(vlax-get-acad-object))) (vlax-dump-object (vlax-get-acad-object)) ...

(alert "不想吃饭啦!快干活~!!")

(setq obj (vlax-ename->vla-object ent)) ;obj对象 (vla-GetBoundingBox obj '&p1 '&p2) ;得到包围框 (setq &p1 (vlax-safearray->list &p1)) ;转换为坐标点 &p1为左下角的坐标,&p2为右上角的坐标,根据坐标定位来排列多段线可以实现你程序。

网站首页 | 网站地图
All rights reserved Powered by www.cfnr.net
copyright ©right 2010-2021。
内容来自网络,如有侵犯请联系客服。zhit325@qq.com